package com.jeesharp.business.modules.setting.service;

import com.jeesharp.business.modules.setting.entity.AboutUs;
import com.jeesharp.business.modules.setting.vo.AboutUsQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

/**
 * 关于我们服务接口
 *
 * @author jeesharp
 * @version 2026-02-05
 */
public interface AboutUsService extends BaseInterface<AboutUs, AboutUsQueryVO> {

    /**
     * 根据应用标识查询关于我们信息
     *
     * @param app 应用标识
     * @return 关于我们信息
     */
    AboutUs getByApp(String app);

    void createAboutUs(AboutUs aboutUs);

    void updateAboutUs(AboutUs aboutUs);
void updateStatus(String id, Integer status);
}
